class Pageable {
  int offset;

  int pageNumber;

  int pageSize;

  int paged;

  Pageable(this.offset, this.pageNumber, this.pageSize, this.paged);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['offset'] = offset;
    data['pageNumber'] = pageNumber;
    data['pageSize'] = pageSize;
    data['paged'] = paged;
    return data;
  }
}
